Page MenuHomePhabricator

nodemap: make sure hooks have access to an up-to-date version
ClosedPublic

Authored by marmoute on Feb 28 2020, 1:55 PM.

Details

Summary

We make sure hooks can read persistent nodemap data and that they access
something up-to-date with the pending transaction.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Feb 28 2020, 1:55 PM
marmoute updated this revision to Diff 20582.Mar 6 2020, 6:37 PM

eventless rebase past D8255

durin42 requested changes to this revision.Mar 10 2020, 4:42 PM
durin42 added a subscriber: durin42.

No longer applies on top of @.

This revision now requires changes to proceed.Mar 10 2020, 4:42 PM
marmoute updated this revision to Diff 20684.Mar 10 2020, 9:35 PM

rebase above latest default up to landed-D8182

No longer applies on top of @.

I don't understand this feedback. There are about 15 other changesets before it in this stack, so this is not meant to be directly applied on the head of default.

No longer applies on top of @.

I don't understand this feedback. There are about 15 other changesets before it in this stack, so this is not meant to be directly applied on the head of default.

I mentioned this in IRC, but I'll put it here for completeness: the parent pointers in this series are borked, and yadda was showing them /extremely/ out of order, to the point that this was about the 5th change in the series. I think I've managed to piece together a correct order, but if it doesn't apply I'll drop the whole stack until the parent pointers are contiguous again.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.